CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us

CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Back to Threads Reply to Thread

Installation problems:: xoffice 12.5.1 on Mint 13 (maya) / Ubunto12.04 64-bit

Hello,

I just spotted crossover 12.5.1.1 is out but I failed to install it automatically on my Linux distribution. The error message is


Error: Breaks existing package 'ia32-crossover' that conflict: 'cxoffice5'. But the '/home/itt/Software/Linux/crossover_12.5.1-1_i386.deb' provides it via: 'cxoffice5'


However, the advice below


Run Windows applications like MS Office
On 64-bit flavors of Debian and some Ubuntu variants, first open a terminal and run 'sudo dpkg --add-architecture i386 ; sudo apt-get update'.
CrossOver Linux makes it possible to run Windows productivity applications such as Microsoft Office, and Quicken, and also lets you play Windows games like Skyrim and World of Warcraft.


fails with


% sudo dpkg --add-architecture i386
dpkg: error: unknown option --add-architecture

Type dpkg --help for help about installing and un-installing packages [];
Use dselect' oraptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating
.deb files;

Options marked [*] produce a lot of output - pipe it through less' ormore' !


Any advice will be appreciated.

Regards,

Ilian Todorov

12.5.1 switched the deb packages to using multiarch (to resolve problems with ubuntu 13.10), which requires more recent debian-based distros. Specifically, the .deb packages need at least Mint 14, ubuntu 12.10, or debian 7. Older distros had multiarch support, but it was not good enough to support CrossOver's needs.

The generic installer should still work.

I'm running Mint 13 too , had the same problem with the architecture problem. So I did use the "CrossOver Linux 12.5.1 (Generic Installer)" Runs like a charm :)

I have ubuntu 12.04 and use .bin installer to update. just uninstall the old one and run the .bin installer.

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjoiZW4iLCJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNzA4NjEzODE4LCJjc3JmX3Rva2VuIjoiTHE3YU5KeTVxa0xoOUFSdCIsImdkcHIiOjB9